# Get Live 24 H Summary

GET https://analytics.alephant.io/v1/analytics/live-24h/summary

Rolling ~24h workspace totals from hourly aggregates (`usage_aggregates_hourly`).

**Success `data`:** `{ "summary": { ... } }` — KPI fields are mostly strings from ClickHouse (request_count, cost_sum, token sums, cache fields, etc.).

Reference: https://api.alephant.io/api-reference/analytics-api/analytics-atomic/get-live-24-h-summary

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: analytics-openapi
  version: 1.0.0
paths:
  /v1/analytics/live-24h/summary:
    get:
      operationId: get-live-24-h-summary
      summary: Get Live 24 H Summary
      description: >-
        Rolling ~24h workspace totals from hourly aggregates
        (`usage_aggregates_hourly`).


        **Success `data`:** `{ "summary": { ... } }` — KPI fields are mostly
        strings from ClickHouse (request_count, cost_sum, token sums, cache
        fields, etc.).
      tags:
        - subpackage_analyticsAtomic
      parameters:
        - name: Authorization
          in: header
          description: >-
            Optional. Bearer JWT, Virtual Key, or PAT. Server also accepts
            Cookie `alephant_token`; not modeled as a header here.
          required: false
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          description: >-
            Optional in the spec; required for authenticated analytics. Omit for
            unauthenticated `GET /v1/analytics/health`.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsJsonResponse'
servers:
  - url: https://analytics.alephant.io
  - url: https://analytics-dev.alephant.io
components:
  schemas:
    AnalyticsJsonResponse:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        data:
          description: Any type
      required:
        - code
        - message
        - data
      title: AnalyticsJsonResponse

```

## SDK Code Examples

```python
import requests

url = "https://analytics.alephant.io/v1/analytics/live-24h/summary"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://analytics.alephant.io/v1/analytics/live-24h/summary';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://analytics.alephant.io/v1/analytics/live-24h/summary"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://analytics.alephant.io/v1/analytics/live-24h/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://analytics.alephant.io/v1/analytics/live-24h/summary")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://analytics.alephant.io/v1/analytics/live-24h/summary', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://analytics.alephant.io/v1/analytics/live-24h/summary");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://analytics.alephant.io/v1/analytics/live-24h/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```